<?php

namespace App\Http\Livewire\Components\Informacia\Pages;

use App\Models\Informacia\Informacia;
use Illuminate\Auth\Access\AuthorizationException;
use Illuminate\Contracts\View\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Livewire\Component;

/**
 * Class Vytvorit
 */
class Vytvorit extends Component
{
    use AuthorizesRequests;

    public Informacia $informacia;

    public function mount(Informacia $informacia): void
    {
        $this->informacia = $informacia;
    }

    /**
     * @throws AuthorizationException
     */
    public function render(): View
    {
        $this->authorize('portal_sprava_informacie');

        return view('pages.sprava.informacie.livewire.create');
    }
}
